'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Set mappings to Trend cloud api.
 */

var TOKEN_NAME = exports.TOKEN_NAME = 'trendToken';

var API_ROOT = exports.API_ROOT = process.env.SERVER_NAME === 'dev1' ? 'http://172.24.16.222:3002' : process.env.SERVER_NAME === 'web1' ? 'http://184.106.27.221:3002' : 'http://localhost:3000';

var HTTP = exports.HTTP = {
  get: 'GET',
  post: 'POST',
  put: 'PUT',
  delete: 'DELETE'
};

var ANY_USER = exports.ANY_USER = 'any';
var USDAFOODS_USER = exports.USDAFOODS_USER = 'usdafoods';

var LOGIN_URL = exports.LOGIN_URL = 'auth/login';
var LOGOUT_URL = exports.LOGOUT_URL = 'auth/logout';
var REFRESH_URL = exports.REFRESH_URL = 'auth/refresh';

var USERS_URL = exports.USERS_URL = 'api/users';
var RECIPES_URL = exports.RECIPES_URL = 'api/recipes';
var MEALS_URL = exports.MEALS_URL = 'api/meals';
var FOODS_URL = exports.FOODS_URL = 'api/foods';

var UPLOAD_IMAGE_URL = exports.UPLOAD_IMAGE_URL = API_ROOT + '/upload/image';